# \[Android]再開されるActivityに対応する

launchMode に "singleTop" などを指定したActivityでは、一度バックグラウンドに遷移した後に再起動してもインスタンスが再利用されます。\
また、その際にはintentが更新されません。

そのため再起動時に限り、KARTE SDKの下記機能が正しく動作しない可能性があります。

* ディープリンク経由での起動イベント (`deep_link_app_open`)
* 「自分を探す」イベント（`native_find_myself`）
* 接客の「アプリで確認」

該当ActivityのonNewIntentにおいて、`KarteApp.onNewIntent()`関数を呼び出すことで、上記の機能についても正しく動作させることが可能です。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://app.developers.karte.io/android-sdk-appendix/appendix-relaunch-activity-android-sdk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
